/*************************************************************/
/* Copyright (C) 2014 OSS Nokalva, Inc.  All rights reserved.*/
/*************************************************************/

/* THIS FILE IS PROPRIETARY MATERIAL OF OSS NOKALVA, INC.
 * AND MAY BE USED ONLY BY DIRECT LICENSEES OF OSS NOKALVA, INC.
 * THIS FILE MAY NOT BE DISTRIBUTED. */

/* Generated for: Testing Technologies IST GmbH, Berlin, Germany - License 11335 on Linux */
/* Abstract syntax: its-container */
/* ASN.1 Java project: org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.Libitsdenm_asn1 */
/* Created: Fri Oct 24 11:04:37 2014 */
/* ASN.1 Compiler for Java version: 5.1.0.2 */
/* ASN.1 compiler options and file names specified:
 * -output org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1 -nolistingfile
 * -nomodlistingfile -constraints -nouserconstraints -valuerefs -debug
 * -nopedantic -noinformatorymessages -uper -root -keepnames -norelaySafe
 * -noparamtypesuperclass -jiaapi -autoencdec -messageFormat emacs
 * /tmp/TTthree-2014.10.24.11.04.02.448/oss774666001643395568gen/LibItsDenm_asn1.gen
 * asn/DENM.asn asn/ITS-Container.asn
 */


package org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions;

import com.oss.asn1.*;
import com.oss.metadata.*;

/**
 * Define the ASN1 Type ManagementContainer from ASN1 Module DENM_PDU_Descriptions.
 * @see Sequence
 */

public class ManagementContainer extends Sequence {
    
    /**
     * The default constructor.
     */
    public ManagementContainer()
    {
    }
    
    /**
     * Construct with AbstractData components.
     */
    public ManagementContainer(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID actionID, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts detectionTime, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts referenceTime, 
		    BOOLEAN isNegation, BOOLEAN isCancellation, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition eventPosition, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance relevanceDistance, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection relevanceTrafficDirection, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration validityDuration, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval transmissionInterval)
    {
	setActionID(actionID);
	setDetectionTime(detectionTime);
	setReferenceTime(referenceTime);
	setIsNegation(isNegation);
	setIsCancellation(isCancellation);
	setEventPosition(eventPosition);
	setRelevanceDistance(relevanceDistance);
	setRelevanceTrafficDirection(relevanceTrafficDirection);
	setValidityDuration(validityDuration);
	setTransmissionInterval(transmissionInterval);
    }
    
    /**
     * Construct with components.
     */
    public ManagementContainer(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID actionID, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts detectionTime, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts referenceTime, 
		    boolean isNegation, boolean isCancellation, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition eventPosition, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance relevanceDistance, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection relevanceTrafficDirection, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration validityDuration, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval transmissionInterval)
    {
	this(actionID, detectionTime, referenceTime, 
	     new BOOLEAN(isNegation), new BOOLEAN(isCancellation), 
	     eventPosition, relevanceDistance, relevanceTrafficDirection, 
	     validityDuration, transmissionInterval);
    }
    
    /**
     * Construct with required components.
     */
    public ManagementContainer(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID actionID, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts detectionTime, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts referenceTime, 
		    boolean isNegation, boolean isCancellation, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition eventPosition, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance relevanceDistance, 
		    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection relevanceTrafficDirection)
    {
	setActionID(actionID);
	setDetectionTime(detectionTime);
	setReferenceTime(referenceTime);
	setIsNegation(isNegation);
	setIsCancellation(isCancellation);
	setEventPosition(eventPosition);
	setRelevanceDistance(relevanceDistance);
	setRelevanceTrafficDirection(relevanceTrafficDirection);
    }
    
    public void initComponents()
    {
	mComponents[0] = new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID();
	mComponents[1] = new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts();
	mComponents[2] = new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts();
	mComponents[3] = new BOOLEAN();
	mComponents[4] = new BOOLEAN();
	mComponents[5] = new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition();
	mComponents[6] = org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance.lessThan50m;
	mComponents[7] = org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection.allTrafficDirections;
	mComponents[8] = new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration();
	mComponents[9] = new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval();
    }
    
    // Instance initializer
    {
	mComponents = new AbstractData[10];
    }
    
    // Method to create a specific component instance
    public AbstractData createInstance(int index)
    {
	switch (index) {
	    case 0:
		return new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID();
	    case 1:
		return new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts();
	    case 2:
		return new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts();
	    case 3:
		return new BOOLEAN();
	    case 4:
		return new BOOLEAN();
	    case 5:
		return new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition();
	    case 6:
		return org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance.lessThan50m;
	    case 7:
		return org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection.allTrafficDirections;
	    case 8:
		return new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration();
	    case 9:
		return new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval();
	    default:
		throw new InternalError("AbstractCollection.createInstance()");
	}
	
    }
    
    // Default Values
    public static final org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration validityDuration__default = 
	new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration(600);
    
    // Methods for field "actionID"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID getActionID()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID)mComponents[0];
    }
    
    public void setActionID(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ActionID actionID)
    {
	mComponents[0] = actionID;
    }
    
    
    // Methods for field "detectionTime"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts getDetectionTime()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts)mComponents[1];
    }
    
    public void setDetectionTime(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts detectionTime)
    {
	mComponents[1] = detectionTime;
    }
    
    
    // Methods for field "referenceTime"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts getReferenceTime()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts)mComponents[2];
    }
    
    public void setReferenceTime(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts referenceTime)
    {
	mComponents[2] = referenceTime;
    }
    
    
    // Methods for field "isNegation"
    public boolean getIsNegation()
    {
	return ((BOOLEAN)mComponents[3]).booleanValue();
    }
    
    public void setIsNegation(boolean isNegation)
    {
	setIsNegation(new BOOLEAN(isNegation));
    }
    
    public void setIsNegation(BOOLEAN isNegation)
    {
	mComponents[3] = isNegation;
    }
    
    
    // Methods for field "isCancellation"
    public boolean getIsCancellation()
    {
	return ((BOOLEAN)mComponents[4]).booleanValue();
    }
    
    public void setIsCancellation(boolean isCancellation)
    {
	setIsCancellation(new BOOLEAN(isCancellation));
    }
    
    public void setIsCancellation(BOOLEAN isCancellation)
    {
	mComponents[4] = isCancellation;
    }
    
    
    // Methods for field "eventPosition"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition getEventPosition()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition)mComponents[5];
    }
    
    public void setEventPosition(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ReferencePosition eventPosition)
    {
	mComponents[5] = eventPosition;
    }
    
    
    // Methods for field "relevanceDistance"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance getRelevanceDistance()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance)mComponents[6];
    }
    
    public void setRelevanceDistance(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance relevanceDistance)
    {
	mComponents[6] = relevanceDistance;
    }
    
    
    // Methods for field "relevanceTrafficDirection"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection getRelevanceTrafficDirection()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection)mComponents[7];
    }
    
    public void setRelevanceTrafficDirection(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection relevanceTrafficDirection)
    {
	mComponents[7] = relevanceTrafficDirection;
    }
    
    
    // Methods for field "validityDuration"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration getValidityDuration()
    {
	if (hasValidityDuration())
	    return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration)mComponents[8];
	else
	    return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration)validityDuration__default.clone();
    }
    
    public void setValidityDuration(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration validityDuration)
    {
	mComponents[8] = validityDuration;
    }
    
    public void setValidityDurationToDefault()
    {
	setValidityDuration(validityDuration__default);
    }
    
    public boolean hasDefaultValidityDuration()
    {
	return true;
    }
    
    public boolean hasValidityDuration()
    {
	return componentIsPresent(8);
    }
    
    public void deleteValidityDuration()
    {
	setComponentAbsent(8);
    }
    
    
    // Methods for field "transmissionInterval"
    public org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval getTransmissionInterval()
    {
	return (org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval)mComponents[9];
    }
    
    public void setTransmissionInterval(org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval transmissionInterval)
    {
	mComponents[9] = transmissionInterval;
    }
    
    public boolean hasTransmissionInterval()
    {
	return componentIsPresent(9);
    }
    
    public void deleteTransmissionInterval()
    {
	setComponentAbsent(9);
    }
    
    
    /**
     * Initialize the type descriptor.
     */
    private static final SequenceInfo c_typeinfo = new SequenceInfo (
	new Tags (
	    new short[] {
		0x0010
	    }
	),
	new QName (
	    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.denm_pdu_descriptions",
	    "ManagementContainer"
	),
	new QName (
	    "DENM-PDU-Descriptions",
	    "ManagementContainer"
	),
	12314,
	null,
	new Fields (
	    new SequenceFieldInfo[] {
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8000
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"ActionID"
			    ),
			    new QName (
				"ITS-Container",
				"ActionID"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				    "ActionID"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				    "ActionID"
				)
			    ),
			    0
			)
		    ),
		    "actionID",
		    0,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8001
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"TimestampIts"
			    ),
			    new QName (
				"ITS-Container",
				"TimestampIts"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts(0), 
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts(4398046511103L),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(4398046511103L)
			    ),
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"utcStartOf2004",
					0
				    ),
				    new MemberListElement (
					"oneMillisecAfterUTCStartOf2004",
					1
				    )
				}
			    )
			)
		    ),
		    "detectionTime",
		    1,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8002
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"TimestampIts"
			    ),
			    new QName (
				"ITS-Container",
				"TimestampIts"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts(0), 
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TimestampIts(4398046511103L),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(4398046511103L)
			    ),
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"utcStartOf2004",
					0
				    ),
				    new MemberListElement (
					"oneMillisecAfterUTCStartOf2004",
					1
				    )
				}
			    )
			)
		    ),
		    "referenceTime",
		    2,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new TypeInfo (
			    new Tags (
				new short[] {
				    (short)0x8003
				}
			    ),
			    new QName (
				"com.oss.asn1",
				"BOOLEAN"
			    ),
			    new QName (
				"builtin",
				"BOOLEAN"
			    ),
			    12314,
			    null
			)
		    ),
		    "isNegation",
		    3,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new TypeInfo (
			    new Tags (
				new short[] {
				    (short)0x8004
				}
			    ),
			    new QName (
				"com.oss.asn1",
				"BOOLEAN"
			    ),
			    new QName (
				"builtin",
				"BOOLEAN"
			    ),
			    12314,
			    null
			)
		    ),
		    "isCancellation",
		    4,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new SequenceInfo (
			    new Tags (
				new short[] {
				    (short)0x8005
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"ReferencePosition"
			    ),
			    new QName (
				"ITS-Container",
				"ReferencePosition"
			    ),
			    12314,
			    null,
			    new FieldsRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				    "ReferencePosition"
				)
			    ),
			    0,
			    new TagDecodersRef (
				new QName (
				    "org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				    "ReferencePosition"
				)
			    ),
			    0
			)
		    ),
		    "eventPosition",
		    5,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new EnumeratedInfo (
			    new Tags (
				new short[] {
				    (short)0x8006
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"RelevanceDistance"
			    ),
			    new QName (
				"ITS-Container",
				"RelevanceDistance"
			    ),
			    12314,
			    null,
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"lessThan50m",
					0
				    ),
				    new MemberListElement (
					"lessThan100m",
					1
				    ),
				    new MemberListElement (
					"lessThan200m",
					2
				    ),
				    new MemberListElement (
					"lessThan500m",
					3
				    ),
				    new MemberListElement (
					"lessThan1000m",
					4
				    ),
				    new MemberListElement (
					"lessThan5km",
					5
				    ),
				    new MemberListElement (
					"lessThan10km",
					6
				    ),
				    new MemberListElement (
					"over10km",
					7
				    )
				}
			    ),
			    0,
			    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceDistance.lessThan50m
			)
		    ),
		    "relevanceDistance",
		    6,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new EnumeratedInfo (
			    new Tags (
				new short[] {
				    (short)0x8007
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"RelevanceTrafficDirection"
			    ),
			    new QName (
				"ITS-Container",
				"RelevanceTrafficDirection"
			    ),
			    12314,
			    null,
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"allTrafficDirections",
					0
				    ),
				    new MemberListElement (
					"upstreamTraffic",
					1
				    ),
				    new MemberListElement (
					"downstreamTraffic",
					2
				    ),
				    new MemberListElement (
					"oppositeTraffic",
					3
				    )
				}
			    ),
			    0,
			    org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.RelevanceTrafficDirection.allTrafficDirections
			)
		    ),
		    "relevanceTrafficDirection",
		    7,
		    2,
		    null
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8008
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"ValidityDuration"
			    ),
			    new QName (
				"ITS-Container",
				"ValidityDuration"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration(0), 
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.ValidityDuration(86400),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(0),
				new java.lang.Long(86400)
			    ),
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"timeOfDetection",
					0
				    ),
				    new MemberListElement (
					"oneSecondAfterDetection",
					1
				    )
				}
			    )
			)
		    ),
		    "validityDuration",
		    8,
		    3,
		    validityDuration__default
		),
		new SequenceFieldInfo (
		    new TypeInfoRef (
			new IntegerInfo (
			    new Tags (
				new short[] {
				    (short)0x8009
				}
			    ),
			    new QName (
				"org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container",
				"TransmissionInterval"
			    ),
			    new QName (
				"ITS-Container",
				"TransmissionInterval"
			    ),
			    12314,
			    new ValueRangeConstraint (
				new AbstractBounds(
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval(1), 
				    new org.etsi.its.codec.tool.testingtech.LibItsDenm_asn1.its_container.TransmissionInterval(10000),
				    0
				)
			    ),
			    new Bounds (
				new java.lang.Long(1),
				new java.lang.Long(10000)
			    ),
			    new MemberList (
				new MemberListElement[] {
				    new MemberListElement (
					"oneMilliSecond",
					1
				    ),
				    new MemberListElement (
					"tenSeconds",
					10000
				    )
				}
			    )
			)
		    ),
		    "transmissionInterval",
		    9,
		    3,
		    null
		)
	    }
	),
	0,
	new TagDecoders (
	    new TagDecoder[] {
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8000, 0)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8001, 1)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8002, 2)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8003, 3)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8004, 4)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8005, 5)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8006, 6)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8007, 7)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8008, 8),
			new TagDecoderElement((short)0x8009, 9)
		    }
		),
		new TagDecoder (
		    new TagDecoderElement[] {
			new TagDecoderElement((short)0x8009, 9)
		    }
		)
	    }
	),
	0
    );
    
    /**
     * Get the type descriptor (TypeInfo) of 'this' ManagementContainer object.
     */
    public TypeInfo getTypeInfo()
    {
	return c_typeinfo;
    }
    
    /**
     * Get the static type descriptor (TypeInfo) of 'this' ManagementContainer object.
     */
    public static TypeInfo getStaticTypeInfo()
    {
	return c_typeinfo;
    }
    
} // End class definition for ManagementContainer
